Kerbal Space Program - Bug #348

Target selection is lost after switching ships during approach and can not be reselected when the
ships are close.

03/11/2013 12:34 PM - MBobrik

Status: Closed Start date: 03/11/2013
Severity: Low % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.19 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion:

Description

Steps to reproduce:

When you switch to the other ship and back ( for example to reorient the target ship, or because you forgot opening the docking port
there )

the other ship is no longer marked as target. ( see SShot1 )

And when you are too close you can not set it again as the target in the map view (see SShot2 )

so when you are still too far ( distance here is 187 m, see SShot4 ) to be able to select it as the target in the normal view (see
SShot3) you will lose all targeting information and will not be able to proceed with the rendezvous ( you can still try doing it blind,
but...).

History

#1 - 03/12/2013 05:20 PM - Ted
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| have actually come across this one myself, so I'll mark it as Confirmed.
It's worth mentioning that this isn't a bug per se, but more of an oversight.

#2 - 03/12/2013 09:01 PM - triffid_hunter

| see this as two separate bugs:

1) switching ships loses the target of the ship you switched from

2) cannot select close objects as target

and yes it is very maddening having to eyeball relative velocities until close enough to right-click on a docking port
#3 - 10/25/2013 05:37 PM - sr

- Version set to 0.19

- Platform Any added

Could you please verify if this is still an issue with 0.22?

#4 - 10/26/2013 01:59 AM - triffid_hunter

| believe the 'lost target during switch' bug was fixed in 0.21 or 0.21.1.

| do not believe 'cannot target close ships' is fixed. | have requested some help from the wonderful folk on IRC regarding this 2nd issue, as my potato
takes a minimum of 30 mins to get into orbit and | don't have a save with a space station so I'd have to do it twice.. others have much faster rigs than
mine and can do it in minutes :)

#5 - 10/26/2013 02:21 AM - Anonymous

| used a single ship with an extra probe core and a decoupler, launched as a single craft. Separated in orbit, selected the other craft as target then
switched control (via [ ) to the other craft and back. Target was lost, but green colour remained on the (previous) target orbit in map view. Although
the two craft overlapped on map view, clicking the group allowed me to re-target the vessel, which was some 150m away.
® OmegaCenti also tested this and it seems to work fine. Perhaps because my "target craft" was debris/no power?
e |t is easy to re-select the target via map mode, if only one of the overlapping craft is not currently being controlled.

#6 - 10/26/2013 03:33 AM - OmegaCenti

| have repeated as many variables as | could. | matched 187 meters from target. | have switched between crafts via [ ] . It appears that | maintain my
target when:

e Both vessels are powered
e Both vessels are unpowered
¢ Vessel A is powered and B is not, and vice versa

| would declare This bug fixed.

However, | am using MechJeb (mod) for Smart A.S.S, but it is currently disabled. | am also using Kerbal Engineer Redux (mod)for various information
gathering, but it too is disabled. | do not think this should affect the validity of my post, but | thought it would be wise to mention it none the less.

| am easily able to select among the various targets, as long as both shops are of a different type, | will update this whenever ships A and B are both
designated by the same symbol.

A workaround if this proves to be fruitless is to designate the two ships as different icons, and only select the icon of the ship you are currently
working with (i.e. the ship you are controlling).

#7 - 10/26/2013 03:40 AM - OmegaCenti

It appears | forgot to answer one aspect of it.

@ 187 meters, | was able to unselect target, switch views, switch ships, combination of the both in various sequences, and reacquire close vehicles
as targets.

#8 - 11/30/2014 11:40 AM - RexKramer

This bug appears to be partially fixed. With one ship targeting the other, | was able to switch vessels with [ ] and back, and the target remained the
same.

However, | was able to cause the game to lose target information for a vessel by:
1. Ship A targets Ship B.

2. Switch vessels to Ship B by [ ].

3. Have Ship B target ship A.

4. Switch back to ship A using [ ].

5. Ship A's target information is gone.

It appears that when switching vessels, if another vessel targets anything, the original vessel loses it's target information. The target information
remains as long as you don't target anything with any other vessels.

#9 - 07/17/2016 09:23 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#10 - 07/17/2016 06:17 PM - Claw
- Platform Windows added
- Platform deleted (Any)

Still occurs as per the latest RexKramer instructions. Targeting with the second ship causes loss of target data for the first ship.

#11 - 07/17/2016 06:18 PM - Claw
- Status changed from Needs Clarification to Confirmed

- % Done changed from 0 to 10

#12 - 11/09/2016 11:35 AM - sal_vager
- Status changed from Confirmed to Resolved
- % Done changed from 10 to 100

- Platform Linux added
| tested it in 1.2.1 and the vessels target is no longer lost on switching vessels, and it is possible to target vessels when near.

Target persists when the scene is reloaded.

#13 - 11/09/2016 02:35 PM - Daveroski

| just used it in 1.2.1 and while it retains the target, SAS Target lock is lost as soon as one switches vessel. It drops to Stability mode and so the

switched ship will not follow the target.

In fact no matter what setting one puts SAS on before one switches vessel it will reset to Stability assist as soon as one switches.

#14 - 11/14/2016 10:30 AM - bewing

Yes, that's how SAS has always worked. SAS always switches modes to Stability mode when you switch away from a ship that has SAS turned on.

Try it in any previous KSP version and you will see that it has always worked that way.

#15 - 12/01/2016 06:24 AM - JPLRepo

- Status changed from Resolved to Closed
